> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3

> Video Generation using Kling 3.0, 720p, 1080p and 4K



## OpenAPI

````yaml /api-1(31).json post /v2/generation/kling-3
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/kling-3:
    post:
      tags:
        - Kling Video
      summary: Kling 3
      description: Video Generation using Kling 3.0, 720p, 1080p and 4K
      operationId: kling-3
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: >-
              Your Webhook URL, if specified, the result of the generation will
              be POSTed to this URL.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                enableAudio:
                  type: boolean
                elements:
                  maxItems: 3
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - image
                          tag:
                            type: string
                            enum:
                              - character
                              - animal
                              - prop
                              - costume
                              - scene
                              - effect
                              - others
                          images:
                            minItems: 2
                            type: array
                            items:
                              type: string
                              minLength: 1
                              example: >-
                                image download URL - or file name obtained from
                                /upload endpoint
                            description: >-
                              An array of image names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.
                          voice:
                            type: string
                            minLength: 1
                            description: >-
                              An array of video names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.A
                              video file of the character's voice for cloning
                              the voice (optional)
                          name:
                            type: string
                            minLength: 5
                            maxLength: 10
                        required:
                          - type
                          - tag
                          - images
                          - voice
                          - name
                        additionalProperties: false
                        title: Kling Image Element
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - video
                          tag:
                            type: string
                            enum:
                              - character
                              - animal
                              - prop
                              - costume
                              - scene
                              - effect
                              - others
                          video:
                            type: string
                            minLength: 1
                          voice:
                            type: string
                            minLength: 1
                            description: >-
                              An array of video names or download URLs - if you
                              don't have a download URL, you can upload the file
                              and get the file name from the /upload endpoint.A
                              video file of the character's voice for cloning
                              the voice (optional)
                          name:
                            type: string
                            minLength: 5
                            maxLength: 10
                        required:
                          - type
                          - tag
                          - video
                          - name
                        additionalProperties: false
                        description: Video element, can only be of type character
                        title: Video element
                aspectRatio:
                  description: If no image selected, aspect ratio is required
                  type: string
                  enum:
                    - '1:1'
                    - '16:9'
                    - '9:16'
                duration:
                  type: string
                  enum:
                    - '3'
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - '10'
                    - '11'
                    - '12'
                    - '13'
                    - '14'
                    - '15'
                prompt:
                  type: string
                  minLength: 10
                  maxLength: 2500
                  example: <your-prompt>
                multiShot:
                  type: string
                  enum:
                    - auto
                    - manual
                shots:
                  minItems: 2
                  maxItems: 6
                  type: array
                  items:
                    type: object
                    properties:
                      text:
                        type: string
                        minLength: 10
                        maxLength: 2500
                      duration:
                        type: string
                        enum:
                          - '3'
                          - '4'
                          - '5'
                          - '6'
                          - '7'
                          - '8'
                          - '9'
                          - '10'
                          - '11'
                          - '12'
                          - '13'
                          - '14'
                          - '15'
                    required:
                      - text
                      - duration
                    additionalProperties: false
                startImage:
                  description: >-
                    Optional, if not passed, it'll be Text to Video - Required
                    when multi shot is set to 'manual'
                  type: string
                  minLength: 1
                endImage:
                  description: Optional, if passed, start image must be passed too
                  type: string
                  minLength: 1
                quality:
                  type: string
                  enum:
                    - '720'
                    - '1080'
                    - 4K
              required:
                - enableAudio
                - duration
                - multiShot
                - quality
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````